import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button, Table } from "react-bootstrap";
import { FaEdit, FaUserAlt, FaBan } from "react-icons/fa";
import { Link, NavLink } from "react-router-dom";
import Alert from "react-bootstrap/Alert";
import axios from "axios";
import { useLocation } from "react-router-dom";

function UpdatePlanetEnvironmentTest(props) {
  const location = useLocation();
  const [planetEnvInfoData, setPlanetEnvInfoData] = useState({
    id: "",
    name: "",
    vhost: [{
      id: "",
      envName: "",
      name: "",
      protocol: "",
      port: "",
      cname: ""
    }]
  }); //load existing planet environment details

  useEffect(() => {
    axios.get(`https://configurator-api-m7mkmev5sq-uc.a.run.app/planet/${new URLSearchParams(location.search).get("planetId")}/orgs/${new URLSearchParams(location.search).get("orgId")}/env/${new URLSearchParams(location.search).get("envId")}`).then(response => {
      setPlanetEnvInfoData({
        id: response.data.id,
        name: response.data.name,
        vhost: response.data.vhost.map((vhdata, idex) => ({
          id: vhdata.id,
          envName: vhdata.envName,
          name: vhdata.name,
          protocol: vhdata.protocol,
          port: vhdata.port,
          cname: vhdata.cname
        }))
      });
    }).catch(error => {
      /*#__PURE__*/
      React.createElement(Alert, {
        variant: "danger"
      }, error.message);
    });
  }, []); //environment name change

  const handlePlanetEnvChange = e => {
    let temp = { ...planetEnvInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetEnvInfoData(temp);
  }; //submit handler


  const updatePlanetEnvSubmitHandler = e => {
    console.log(planetEnvInfoData);
    axios.put(`https://configurator-api-m7mkmev5sq-uc.a.run.app/planet/${new URLSearchParams(location.search).get("planetId")}/orgs/${new URLSearchParams(location.search).get("orgId")}/env/${new URLSearchParams(location.search).get("envId")}`, planetEnvInfoData).then(res => {
      /*#__PURE__*/
      React.createElement(Alert, {
        variant: "success"
      }, "Environment configuration updated successfully");
    }).catch(err => {
      /*#__PURE__*/
      React.createElement(Alert, {
        variant: "danger"
      }, err.message);
    });
  };

  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Update Planet Env Info"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Update Planet Env Info")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "planetEnvName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Name", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "name",
    onChange: handlePlanetEnvChange,
    value: planetEnvInfoData.name
  })))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: updatePlanetEnvSubmitHandler
  }, "Update"))))))))));
}

export default UpdatePlanetEnvironmentTest;